petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatResetPreallocation

Reset mat to use the original nonzero pattern provided by users.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatResetPreallocation(Mat A)

Collective on Mat

### Input Parameters

A -the Mat context

### Notes

The allocated memory will be shrunk after calling MatAssembly with MAT_FINAL_ASSEMBLY. Users can reset the preallocation to access the original memory. Currently support MPIAIJ and SEQAIJ.

### See Also

MatSeqAIJSetPreallocation(), MatMPIAIJSetPreallocation(), MatXAIJSetPreallocation()

### Level

beginner

### Location

src/mat/interface/matrix.c

### Examples

src/mat/examples/tutorials/ex4.c.html
src/mat/examples/tutorials/ex4f.F90.html

### Implementations

MatResetPreallocation_MPIAIJ in src/mat/impls/aij/mpi/mpiaij.c
MatResetPreallocation_SeqAIJ in src/mat/impls/aij/seq/aij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages